Bug 167011 - Default languages unavailable
Default languages unavailable
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 11:47 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-29 14:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The languages options on my machine (51.64 KB, image/png)
2005-08-29 11:47 EDT, Paul F. Johnson
no flags Details

  None (edit)
Description Paul F. Johnson 2005-08-29 11:47:34 EDT
Description of problem
It is currently not possible to set the default languages for documents

Version-Release number of selected component (if applicable):
1.9.125-4.2.0

How reproducible:
Always

Steps to Reproduce:
1. Open OOWriter->Tools->Options->Language
2.
3.
  
Actual results:
All of the bottom set of dropdowns are disabled meaning the default language for
documents is unavailable. See the attached png. The padlocks next to the drop
downs do nothing if clicked and cannot be altered.

Expected results:
They should not be greyed out.

Additional info:
Comment 1 Paul F. Johnson 2005-08-29 11:47:34 EDT
Created attachment 118210 [details]
The languages options on my machine
Comment 2 Caolan McNamara 2005-08-29 14:16:40 EDT
Yup, the padlocks are that the settings are "locked", the fedora OOo sets the
document default language from the system locale. It always did, so setting the
setting there would be unset on restart of OOo, confusing people. Locking the
config takes away that temptation. To change the document language setting
change your system language. Of course in writer you can change the language for
the default paragraph style as well.
Comment 3 n0dalus 2005-11-27 06:35:51 EST
I think this bug needs to be re-addressed.
It's really confusing to not be able to change the default language. Why should
the default language be permanently set to the system locale?
What if I speak English but want to give my Japanese friend (or anyone who
writes most of their documents in another language) a user account on my
computer? They might want to change the default document language in OpenOffice.
(Just an example of where this becomes a problem).

If the bug is that OpenOffice doesn't store the default document language
between restarts, then that should really be fixed.

Note You need to log in before you can comment on or make changes to this bug.